# std::mersenne_twister_engine<UIntType,w,n,m,r,a,u,d,s,b,t,c,l,f>::max

From cppreference.com
< cpp‎ | numeric‎ | random‎ | mersenne twister engine

static constexpr result_type max(); |  | (since C++11)

Returns the maximum value potentially generated by the random-number engine.

### Return value

\(\scriptsize 2^w-1 \)2w
-1

### Complexity

Constant.

### See also

min [static] | gets the smallest possible value in the output range (public static member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/numeric/random/mersenne_twister_engine/max&oldid=132150"